#language: ru

@CheckingTransferOrders

Функционал: 003. CheckingTransferOrders. Дозаполение данных по организации

Сценарий: 003.1. CheckingTransferOrders. Создание валюты

	Дано Я подключаюсь под "Ведение организаций"
	Дано я устанавливаю текущему сеансу заголовок приложения "12.003. Проверки заказов на перемещение"
	И Я создаю валюту RUB

Сценарий: 003.2. CheckingTransferOrders. Заполнение графика доставки, условия приема заказов в складе
	
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда я жду открытия окна 'Склады' в течение 20 секунд
	* Заполнение графика доставки для склада Сырная ГП 
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                |
			| 'Группа складов для отгрузки' |
		И в таблице  "Список" я перехожу на один уровень вниз
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Сырная ГП'    |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сырная ГП (Склад)'
		И я перехожу к закладке "Доставка"
		И я снимаю флаг с именем 'Вторник'
		И я снимаю флаг с именем 'Четверг'
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеДобавить'
		И в таблице "УточненияПоДоставке" из выпадающего списка с именем "УточненияПоДоставкеТоварнаяКатегория" я выбираю по строке 'Мясо птицы'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеПонедельник'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеВторник'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеСреда'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеЧетверг'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеСуббота'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеВоскресенье'
		И в таблице "УточненияПоДоставке" я завершаю редактирование строки
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Сырная ГП (Склад) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
	* Заполнение условий для приема заказов для Склада готовой продукции
		И в таблице  "Список" я перехожу на один уровень вверх
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'            |
			| 'Склад готовой продукции' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Склад готовой продукции (Склад)'
		И я перехожу к закладке "Прием заказов"
		И из выпадающего списка "Автоматически формировать планы отгрузки" я выбираю точное значение 'Общий план'
		И в поле 'Принимать заказы за' я ввожу текст '2'
		И в таблице "УточненияПоПриемке" я нажимаю на кнопку с именем 'УточненияПоПриемкеДобавить'
		И в таблице "УточненияПоПриемке" из выпадающего списка с именем "УточненияПоПриемкеТоварнаяКатегория" я выбираю по строке 'Мягкие сыры'
		И в таблице "УточненияПоПриемке" в поле с именем 'УточненияПоПриемкеКоличествоДнейДоОтгрузки' я ввожу текст '3'
		И в таблице "УточненияПоПриемке" я завершаю редактирование строки
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Склад готовой продукции (Склад) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
	И Я закрываю окно 'Склады'

Сценарий: 003.3. CheckingTransferOrders. Завершение

	И я закрываю сеанс TESTCLIENT